#!/usr/bin/env python
#--*-- coding:UTF-8 --*--

import socket

host=''
port = 1338

s=socket.socket(socket.AF_INET,socket.SOCK_STREAM)
s.bind((host,port))
s.listen(1)
cliente,direccion=s.accept()
print direccion
print cliente.getpeername()
cliente.send("Hola ediciones eni\n introduzca su palabra o fin si desea detener la conversación\n")
while 1:
	data=cliente.recv(1024)
	if data=="fin\n":
		break
	print "Cliente > " + data
	palabra=raw_input("Servidor > ")
	cliente.send(palabra)
cliente.close()
s.close()
